diff --git a/ports/www/chromium/dragonfly/patch-all b/ports/www/chromium/dragonfly/patch-all
index 6ecc716fa2a..7c61c59709b 100644
--- a/ports/www/chromium/dragonfly/patch-all
+++ b/ports/www/chromium/dragonfly/patch-all
@@ -921,24 +931,442 @@ index b126f4fff0f..9b4f517d2d2 100644
  
  
  def IsMac():
-diff --git chrome/browser/media/webrtc/webrtc_log_uploader.cc chrome/browser/media/webrtc/webrtc_log_uploader.cc
-index aea165c0430..20d25caafa7 100644
---- chrome/browser/media/webrtc/webrtc_log_uploader.cc
-+++ chrome/browser/media/webrtc/webrtc_log_uploader.cc
-@@ -378,6 +378,8 @@ void WebRtcLogUploader::SetupMultipart(
-   const char product[] = "Chrome_OpenBSD";
- #elif defined(OS_FREEBSD)
-   const char product[] = "Chrome_FreeBSD";
-+#elif defined(OS_DRAGONFLY)
-+  const char product[] = "Chrome_DragonFly";
- #else
- #error Platform not supported.
- #endif
+diff --git build/toolchain/dragonfly/BUILD.gn build/toolchain/dragonfly/BUILD.gn
+new file mode 100644
+index 000000000000..622a0aac8d8b
+--- /dev/null
++++ build/toolchain/dragonfly/BUILD.gn
+@@ -0,0 +1,66 @@
++# Copyright 2013 The Chromium Authors. All rights reserved.
++# Use of this source code is governed by a BSD-style license that can be
++# found in the LICENSE file.
++
++import("//build/config/sysroot.gni")
++import("//build/toolchain/gcc_toolchain.gni")
++
++clang_toolchain("clang_x86") {
++  toolchain_args = {
++    current_cpu = "x86"
++    current_os = "dragonfly"
++  }
++}
++
++gcc_toolchain("x86") {
++  cc = "gcc"
++  cxx = "g++"
++
++  readelf = "readelf"
++  nm = "nm"
++  ar = "ar"
++  ld = cxx
++
++  toolchain_args = {
++    current_cpu = "x86"
++    current_os = "dragonfly"
++    is_clang = false
++  }
++}
++
++clang_toolchain("clang_x64") {
++  toolchain_args = {
++    current_cpu = "x64"
++    current_os = "dragonfly"
++  }
++}
++
++gcc_toolchain("x64") {
++  cc = "gcc"
++  cxx = "g++"
++
++  readelf = "readelf"
++  nm = "nm"
++  ar = "ar"
++  ld = cxx
++
++  toolchain_args = {
++    current_cpu = "x64"
++    current_os = "dragonfly"
++    is_clang = false
++  }
++}
++
++clang_toolchain("clang_arm") {
++  toolchain_args = {
++    current_cpu = "arm64"
++    current_os = "dragonfly"
++  }
++}
++
++clang_toolchain("clang_arm64") {
++  toolchain_args = {
++    current_cpu = "arm64"
++    current_os = "dragonfly"
++  }
++}
+diff --git chrome/app/app_management_strings.grdp chrome/app/app_management_strings.grdp
+index e6e64c70edd3..7be747abd6da 100644
+--- chrome/app/app_management_strings.grdp
++++ chrome/app/app_management_strings.grdp
+@@ -238,7 +238,7 @@
+       You can open and edit supported files with this app from Finder or other apps. To control which files open this app by default, <ph name="BEGIN_LINK">&lt;a href="#"&gt;</ph>learn how to set default apps on your device<ph name="END_LINK">&lt;/a&gt;</ph>.
+     </message>
+   </if>
+-  <if expr="is_fuchsia or is_linux">
++  <if expr="is_fuchsia or is_posix">
+     <message name="IDS_APP_MANAGEMENT_FILE_HANDLING_SET_DEFAULTS_LINK" desc="Further explanation of the File Handling API, including text describing the purpose of the toggle (referencing a generic Linux file browser app) and a link to a learn more link for default filetype associations.">
+       You can open and edit supported files with this app from your file browser or other apps. To control which files open this app by default, <ph name="BEGIN_LINK">&lt;a href="#"&gt;</ph>learn how to set default apps on your device<ph name="END_LINK">&lt;/a&gt;</ph>.
+     </message>
+diff --git chrome/app/certificate_manager.grdp chrome/app/certificate_manager.grdp
+index ab1a66c14cb5..0e6168a447dd 100644
+--- chrome/app/certificate_manager.grdp
++++ chrome/app/certificate_manager.grdp
+@@ -33,7 +33,7 @@
+       </message>
+     </if>
+ 
+-    <if expr="is_linux">
++    <if expr="is_posix">
+       <message name="IDS_SETTINGS_CERTIFICATE_MANAGER_V2_PLATFORM" desc="Label for the OS platform.">
+         Linux
+       </message>
+diff --git chrome/app/chromium_strings.grd chrome/app/chromium_strings.grd
+index c3d5ce640e4c..86bfd2c1b3f8 100644
+--- chrome/app/chromium_strings.grd
++++ chrome/app/chromium_strings.grd
+@@ -315,7 +315,7 @@ If you update this file, be sure also to update google_chrome_strings.grd. -->
+           Welcome to Chromium; new browser window opened
+         </message>
+       </if>
+-      <if expr="is_macosx or is_linux">
++      <if expr="is_macosx or is_posix">
+         <message name="IDS_FIRST_RUN_DIALOG_WINDOW_TITLE" desc="Window title of First Run dialog on Mac and Linux, displayed in title bar">
+           Welcome to Chromium
+         </message>
+@@ -480,7 +480,7 @@ If you update this file, be sure also to update google_chrome_strings.grd. -->
+                     To get future Chromium updates, you'll need Windows 10 or later. This computer is using Windows 8.1.
+         </message>
+       </if>
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_LINUX_OBSOLETE" desc="A message displayed on an at-launch infobar and about:help warning the user that the OS version they are using is no longer supported.">
+           Chromium may not function correctly because it is no longer supported on this Linux distribution
+         </message>
+@@ -563,7 +563,7 @@ Permissions you've already given to websites and apps may apply to this account.
+         </message>
+       </if>
+ 
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_DESKTOP_SHORTCUT_COMMENT" desc="Description of the desktop shortcut file which will open a Chrome tab at a given url.">
+           Open <ph name="URL">$1<ex>https://www.example-url.com/</ex></ph> in a new tab in Chromium.
+         </message>
+@@ -1436,7 +1436,7 @@ Permissions you've already given to websites and apps may apply to this account.
+         </message>
+       </if>
+ 
+-      <if expr="is_win or is_macosx or is_linux">
++      <if expr="is_win or is_macosx or is_posix">
+         <message name="IDS_UPDATE_RECOMMENDED_DIALOG_TITLE_ALT" desc="Alternate window title for the Update Recommended dialog." translateable="false">
+           Not used in Chromium. Placeholder to keep resource maps in sync.
+         </message>
+diff --git chrome/app/generated_resources.grd chrome/app/generated_resources.grd
+index c815137505f3..c3e90d80df75 100644
+--- chrome/app/generated_resources.grd
++++ chrome/app/generated_resources.grd
+@@ -2,7 +2,7 @@
+ 
+ <!--
+ This file contains definitions of resources that will be translated for each
+-locale.  The variables is_win, is_macosx, is_linux, and is_posix are available
++locale.  The variables is_win, is_macosx, is_posix, and is_posix are available
+ for making strings OS specific.  Other platform defines such as use_titlecase
+ are declared in tools/grit/grit_rule.gni.
+ -->
+@@ -1286,7 +1286,7 @@ are declared in tools/grit/grit_rule.gni.
+           <message name="IDS_PASSWORDS_AND_AUTOFILL_MENU" desc="The text label of the passwords and autofill menu item">
+             Passwords and &amp;autofill
+           </message>
+-        <if expr="is_win or is_macosx or is_linux">
++        <if expr="is_win or is_macosx or is_posix">
+           <message name="IDS_RELAUNCH_TO_UPDATE_ALT" desc="Alternate text label of the relaunch to update Chrome menu item">
+             Relaunch to update
+           </message>
+@@ -1434,7 +1434,7 @@ are declared in tools/grit/grit_rule.gni.
+           <message name="IDS_PASSWORDS_AND_AUTOFILL_MENU" desc="In Title Case: The text label of the passwords and autofill menu item">
+             Passwords and &amp;Autofill
+           </message>
+-          <if expr="is_win or is_macosx or is_linux">
++          <if expr="is_win or is_macosx or is_posix">
+               <message name="IDS_RELAUNCH_TO_UPDATE_ALT" desc="In Title Case: Alternate text label of the relaunch to update Chrome menu item">
+                 Relaunch to Update
+               </message>
+@@ -3858,7 +3858,7 @@ are declared in tools/grit/grit_rule.gni.
+       </if>
+ 
+       <!-- Bluetooth Device Credentials (i.e. PIN/Passkey) dialog -->
+-      <if expr="is_win or is_linux">
++      <if expr="is_win or is_posix">
+         <message name="IDS_BLUETOOTH_DEVICE_CREDENTIALS_TITLE" desc="Title of the Bluetooth device credentials prompt dialog.">
+           Device Credentials
+         </message>
+@@ -5676,7 +5676,7 @@ are declared in tools/grit/grit_rule.gni.
+             Read information about your browser, OS, device, installed software, registry values and files
+           </message>
+         </if>
+-        <if expr="is_macosx or is_linux">
++        <if expr="is_macosx or is_posix">
+           <message name="IDS_EXTENSION_PROMPT_WARNING_ENTERPRISE_REPORTING_PRIVATE_ENABLED_LINUX_AND_MACOS" desc="Permission string for enterprise private reporting permission on Linux and MacOS.">
+             Read information about your browser, OS, device, installed software and files
+           </message>
+@@ -6440,7 +6440,7 @@ Keep your key file in a safe place. You will need it to create new versions of y
+           Old versions of Chrome Apps won't open on Windows devices after December 2022. Contact your administrator to update to a new version or remove this app.
+         </message>
+       </if>
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_FORCE_INSTALLED_DEPRECATED_APPS_CONTENT" desc="Content of the force installed deprecated app dialog">
+           Old versions of Chrome Apps won't open on Linux devices after December 2022. Contact your administrator to update to a new version or remove this app.
+         </message>
+@@ -6486,7 +6486,7 @@ Keep your key file in a safe place. You will need it to create new versions of y
+           Old versions of Chrome apps won't open on Windows devices after December 2022. You can check if there's a new version available.
+         </message>
+       </if>
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_DEPRECATED_APPS_MONITOR_RENDERER" desc="Dialog content that educates users that Chrome Apps will soon no longer launch.">
+           Old versions of Chrome apps won't open on Linux devices after December 2022. You can check if there's a new version available.
+         </message>
+@@ -11774,7 +11774,7 @@ Check your passwords anytime in <ph name="GOOGLE_PASSWORD_MANAGER">$1<ex>Google
+       <message name="IDS_APP_MENU_BUTTON_UPDATE" desc="Short label next to app-menu button when an update is available.">
+         Update
+       </message>
+-      <if expr="is_win or is_macosx or is_linux">
++      <if expr="is_win or is_macosx or is_posix">
+         <message name="IDS_APP_MENU_BUTTON_UPDATE_ALT1" desc="Alternate short label next to app-menu button when an update is available.">
+           Finish update
+         </message>
+@@ -12121,7 +12121,7 @@ Check your passwords anytime in <ph name="GOOGLE_PASSWORD_MANAGER">$1<ex>Google
+         Google Pay
+       </message>
+ 
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_SHOW_WINDOW_DECORATIONS" desc="The label of a radio button in the options dialog for using the system title bar and borders.">
+           Use system title bar and borders
+         </message>
+@@ -13076,7 +13076,7 @@ Check your passwords anytime in <ph name="GOOGLE_PASSWORD_MANAGER">$1<ex>Google
+       </message>
+ 
+       <!-- Device Trust Consent dialog -->
+-      <if expr="is_win or is_macosx or is_linux or is_chromeos">
++      <if expr="is_win or is_macosx or is_posix or is_chromeos">
+         <message name="IDS_DEVICE_SIGNALS_CONSENT_DIALOG_TITLE" desc="Title of the dialog shown when user consent is required to share device signals.">
+           Share information about your device?
+         </message>
+@@ -13552,7 +13552,7 @@ Please help our engineers fix this problem. Tell us what happened right before y
+         Set as default
+       </message>
+ 
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_MINIMIZE_WINDOW_MENU" desc="The Linux browser window menu item text for minimizing the window.">
+           Minimize
+         </message>
+@@ -15837,7 +15837,7 @@ Please help our engineers fix this problem. Tell us what happened right before y
+       Open Anyway
+     </message>
+ 
+-    <if expr="is_win or is_macosx or is_linux">
++    <if expr="is_win or is_macosx or is_posix">
+       <message name="IDS_UTILITY_PROCESS_SYSTEM_SIGNALS_NAME" desc="The name of the utility process used to collect system signals. Only spawned on Windows, Mac or Linux.">
+         System Signals Utilities
+       </message>
+diff --git chrome/app/google_chrome_strings.grd chrome/app/google_chrome_strings.grd
+index 942ae122180c..5e059bc7c42c 100644
+--- chrome/app/google_chrome_strings.grd
++++ chrome/app/google_chrome_strings.grd
+@@ -301,7 +301,7 @@ chromium_strings.grd. -->
+           Welcome to Chrome; new browser window opened
+         </message>
+       </if>
+-      <if expr="is_macosx or is_linux">
++      <if expr="is_macosx or is_posix">
+         <message name="IDS_FIRST_RUN_DIALOG_WINDOW_TITLE" desc="Window title of First Run dialog on Mac and Linux, displayed in title bar">
+           Welcome to Google Chrome
+         </message>
+@@ -450,7 +450,7 @@ chromium_strings.grd. -->
+                     To get future Google Chrome updates, you'll need Windows 10 or later. This computer is using Windows 8.1.
+         </message>
+       </if>
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_LINUX_OBSOLETE" desc="A message displayed on an at-launch infobar and about:help warning the user that the OS version they are using is no longer supported.">
+           Google Chrome may not function correctly because it is no longer supported on this Linux distribution
+         </message>
+@@ -540,7 +540,7 @@ Permissions you've already given to websites and apps may apply to this account.
+         </message>
+       </if>
+ 
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_DESKTOP_SHORTCUT_COMMENT" desc="Description of the desktop shortcut file which will open a Chrome tab at a given url.">
+           Open <ph name="URL">$1<ex>https://www.example-url.com/</ex></ph> in a new tab in Google Chrome.
+         </message>
+@@ -1594,7 +1594,7 @@ Permissions you've already given to websites and apps may apply to this account.
+         </message>
+       </if>
+ 
+-      <if expr="is_win or is_macosx or is_linux">
++      <if expr="is_win or is_macosx or is_posix">
+         <message name="IDS_UPDATE_RECOMMENDED_DIALOG_TITLE_ALT" desc="Alternate window title for the Update Recommended dialog.">
+           Relaunch to finish Chrome update
+         </message>
+diff --git chrome/app/password_manager_ui_strings.grdp chrome/app/password_manager_ui_strings.grdp
+index 1544bb940f66..84eec96e0d9a 100644
+--- chrome/app/password_manager_ui_strings.grdp
++++ chrome/app/password_manager_ui_strings.grdp
+@@ -15,7 +15,7 @@
+   <message name="IDS_PASSWORD_MANAGER_UI_SETTINGS" desc="Button in the sidebar to display Password Manager Settings.">
+     Settings
+   </message>
+-  <if expr="is_linux or is_chromeos"><then>
++  <if expr="is_posix or is_chromeos"><then>
+     <message name="IDS_PASSWORD_MANAGER_UI_SAVE_PASSWORDS_TOGGLE_LABEL" desc="Label for a toggle that allows users to be prompted if they want to save their passwords when logging into webpages.">
+       Offer to save passwords
+     </message>
+@@ -836,7 +836,7 @@
+     </else>
+     </if>
+   </if>
+-  <if expr="is_linux">
++  <if expr="is_posix">
+     <if expr="_google_chrome">
+     <then>
+      <message name="IDS_PASSWORD_MANAGER_UI_RELAUNCH_CHROME_PROMO_CARD_TITLE_LINUX" desc="Title for the Relaunch Chrome promo card.">
+@@ -856,7 +856,7 @@
+     </else>
+     </if>
+   </if>
+-  <if expr="is_macosx or is_linux">
++  <if expr="is_macosx or is_posix">
+     <if expr="_google_chrome">
+     <then>
+       <message name="IDS_PASSWORD_MANAGER_UI_RELAUNCH_CHROME_PROMO_CARD_ACTION" desc="Action button for the Relaunch Chrome promo card.">
+diff --git chrome/app/profiles_strings.grdp chrome/app/profiles_strings.grdp
+index 2ec0283aa687..e9e98d974c13 100644
+--- chrome/app/profiles_strings.grdp
++++ chrome/app/profiles_strings.grdp
+@@ -66,7 +66,7 @@
+       Add Profile...
+     </message>
+   </if>
+-  <if expr="is_linux">
++  <if expr="is_posix">
+     <message name="IDS_PROFILES_ADD_PROFILE_LABEL" desc="Menu item for adding a new profile.">
+       Add profile...
+     </message>
+diff --git chrome/app/settings_strings.grdp chrome/app/settings_strings.grdp
+index f318a33f5605..1fb981f91ac2 100644
+--- chrome/app/settings_strings.grdp
++++ chrome/app/settings_strings.grdp
+@@ -301,12 +301,12 @@
+       Manage accessibility features
+     </message>
+   </if>
+-  <if expr="is_win or is_linux or is_macosx">
++  <if expr="is_win or is_posix or is_macosx">
+     <message name="IDS_SETTINGS_OVERSCROLL_HISTORY_NAVIGATION_TITLE" desc="Title for the overscroll history navigation setting, which allows you to navigate back and forward by swiping left or right with a touch device.">
+       Swipe between pages
+     </message>
+   </if>
+-  <if expr="is_win or is_linux">
++  <if expr="is_win or is_posix">
+     <message name="IDS_SETTINGS_OVERSCROLL_HISTORY_NAVIGATION_SUBTITLE" desc="Subtitle for the overscroll history navigation setting, which allows you to navigate back and forward by swiping left or right with a touch device.">
+       Navigate back and forward with a swipe gesture
+     </message>
+@@ -340,7 +340,7 @@
+       Theme
+     </message>
+   </if>
+-  <if expr="is_linux">
++  <if expr="is_posix">
+     <message name="IDS_SETTINGS_GTK_THEME" desc="Text of the label describing the system (GTK) browser theme on Linux">
+       GTK
+     </message>
+diff --git chrome/browser/extensions/api/runtime/chrome_runtime_api_delegate.cc chrome/browser/extensions/api/runtime/chrome_runtime_api_delegate.cc
+index ce049dc56aed..04a7c211e937 100644
+--- chrome/browser/extensions/api/runtime/chrome_runtime_api_delegate.cc
++++ chrome/browser/extensions/api/runtime/chrome_runtime_api_delegate.cc
+@@ -287,6 +287,8 @@ bool ChromeRuntimeAPIDelegate::GetPlatformInfo(PlatformInfo* info) {
+     info->os = extensions::api::runtime::PlatformOs::kLinux;
+   } else if (strcmp(os, "freebsd") == 0) {
+     info->os = extensions::api::runtime::PlatformOs::kLinux;
++  } else if (strcmp(os, "dragonfly") == 0) {
++    info->os = extensions::api::runtime::PlatformOs::kLinux;
+   } else {
+     NOTREACHED_IN_MIGRATION() << "Platform not supported: " << os;
+     return false;
+diff --git chrome/browser/flag_descriptions.cc chrome/browser/flag_descriptions.cc
+index f91c23b3cbef..58d15196e2ee 100644
+--- chrome/browser/flag_descriptions.cc
++++ chrome/browser/flag_descriptions.cc
+@@ -8161,7 +8161,7 @@ const char kWaylandPerWindowScalingDescription[] =
+ const char kAudioBackendName[] =
+     "Audio Backend";
+ const char kAudioBackendDescription[] =
+-#if BUILDFLAG(IS_OPENBSD)
++#if BUILDFLAG(IS_OPENBSD) || BUILDFLAG(IS_DRAGONFLY)
+     "Select the desired audio backend to use. The default is sndio.";
+ #elif BUILDFLAG(IS_FREEBSD)
+     "Select the desired audio backend to use. The default will automatically "
+diff --git chrome/browser/resources/sandbox_internals/BUILD.gn chrome/browser/resources/sandbox_internals/BUILD.gn
+index 1b2f719a1471..e6e245e5983e 100644
+--- chrome/browser/resources/sandbox_internals/BUILD.gn
++++ chrome/browser/resources/sandbox_internals/BUILD.gn
+@@ -7,6 +7,7 @@ import("//ui/webui/resources/tools/build_webui.gni")
+ assert(is_android || is_linux || is_chromeos || is_win)
+ 
+ build_webui("build") {
++  print(current_os)
+   grd_prefix = "sandbox_internals"
+   static_files = [ "sandbox_internals.html" ]
+ 
+diff --git chrome/browser/resources/sandbox_internals/sandbox_internals.ts chrome/browser/resources/sandbox_internals/sandbox_internals.ts
+index f6d2f3f0bc41..1782f48d6dcb 100644
+--- chrome/browser/resources/sandbox_internals/sandbox_internals.ts
++++ chrome/browser/resources/sandbox_internals/sandbox_internals.ts
+@@ -2,7 +2,7 @@
+ // Use of this source code is governed by a BSD-style license that can be
+ // found in the LICENSE file.
+ 
+-// <if expr="is_linux or is_chromeos">
++// <if expr="is_posix or is_chromeos">
+ import './strings.m.js';
+ 
+ import {loadTimeData} from 'chrome://resources/js/load_time_data.js';
+@@ -121,7 +121,7 @@ function androidHandler() {
+ }
+ // </if>
+ 
+-// <if expr="is_linux or is_chromeos">
++// <if expr="is_posix or is_chromeos">
+ 
+ /**
+  * Adds a status row that reports either Yes or No.
+@@ -182,7 +182,7 @@ document.addEventListener('DOMContentLoaded', () => {
+   // <if expr="is_android">
+   androidHandler();
+   // </if>
+-  // <if expr="is_linux or is_chromeos">
++  // <if expr="is_posix or is_chromeos">
+   linuxHandler();
+   // </if>
+ });
 diff --git chrome/test/base/testing_browser_process.h chrome/test/base/testing_browser_process.h
-index 445052fd977..b18cae3347e 100644
+index 421746232447..65848b7dc7a4 100644
 --- chrome/test/base/testing_browser_process.h
 +++ chrome/test/base/testing_browser_process.h
-@@ -141,7 +141,6 @@ class TestingBrowserProcess : public BrowserProcess {
+@@ -147,7 +147,6 @@ class TestingBrowserProcess : public BrowserProcess {
  // complete.
  #if BUILDFLAG(IS_WIN) || BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS_LACROS)
    void StartAutoupdateTimer() override {}
@@ -946,8 +1374,34 @@ index 445052fd977..b18cae3347e 100644
  
    component_updater::ComponentUpdateService* component_updater() override;
    MediaFileSystemRegistry* media_file_system_registry() override;
+diff --git components/components_chromium_strings.grd components/components_chromium_strings.grd
+index f80c3e1091b2..dbe597dd3286 100644
+--- components/components_chromium_strings.grd
++++ components/components_chromium_strings.grd
+@@ -220,7 +220,7 @@
+         </message>
+       </if>
+       <!-- The ChromeOS version of this string is defined in //components/error_page_strings.grdp. -->
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_ERRORPAGES_SUGGESTION_PROXY_DISABLE_PLATFORM" desc="Linux instructions for disabling use of a proxy server.">
+           Go to
+           the Chromium menu &gt;
+diff --git components/components_google_chrome_strings.grd components/components_google_chrome_strings.grd
+index 603dc5bb5c0d..0332896d347e 100644
+--- components/components_google_chrome_strings.grd
++++ components/components_google_chrome_strings.grd
+@@ -220,7 +220,7 @@
+         </message>
+       </if>
+       <!-- The ChromeOS version of this string is defined in //components/error_page_strings.grdp. -->
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_ERRORPAGES_SUGGESTION_PROXY_DISABLE_PLATFORM" desc="Linux instructions for disabling use of a proxy server.">
+           Go to
+           the Chrome menu &gt;
 diff --git components/crash/core/app/chrome_crashpad_handler.cc components/crash/core/app/chrome_crashpad_handler.cc
-index 9aa752e77f9..b602ddb1088 100644
+index 9aa752e77f98..b602ddb10889 100644
 --- components/crash/core/app/chrome_crashpad_handler.cc
 +++ components/crash/core/app/chrome_crashpad_handler.cc
 @@ -6,7 +6,7 @@
@@ -959,8 +1413,65 @@ index 9aa752e77f9..b602ddb1088 100644
    return -1;
  #else
    return CrashpadHandlerMain(argc, argv);
+diff --git components/management_strings.grdp components/management_strings.grdp
+index 95ff2aefe1a8..6ac991b0d4a9 100644
+--- components/management_strings.grdp
++++ components/management_strings.grdp
+@@ -403,7 +403,7 @@
+   </if>
+ 
+   <!-- Strings related to Chrome Enterprise Device Signals Sharing -->
+-  <if expr="is_win or is_linux or is_macosx">
++  <if expr="is_win or is_posix or is_macosx">
+     <message name="IDS_MANAGEMENT_DEVICE_SIGNALS_DISCLOSURE" desc="Disclosure message explaining that device signals can be shared.">
+       Information about your browser, OS, device, installed software, and files
+     </message>
+diff --git components/new_or_sad_tab_strings.grdp components/new_or_sad_tab_strings.grdp
+index 6b1088e1e0b3..6341d14f0c91 100644
+--- components/new_or_sad_tab_strings.grdp
++++ components/new_or_sad_tab_strings.grdp
+@@ -66,7 +66,7 @@
+           Close other tabs or apps
+         </message>
+       </if>
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_SAD_TAB_RELOAD_CLOSE_TABS" desc="One of the bullet points displayed on the web page if a reload failed to fix the issue, advising the user to close other Chrome tabs or programs running on their computer.">
+           Close other tabs or programs
+         </message>
+@@ -76,7 +76,7 @@
+           Close other apps
+         </message>
+       </if>
+-      <if expr="is_linux">
++      <if expr="is_posix">
+         <message name="IDS_SAD_TAB_RELOAD_CLOSE_NOTABS" desc="One of the bullet points displayed on the web page if a reload failed to fix the issue, advising the user to close other programs running on their computer (Linux).">
+           Close other programs
+         </message>
+diff --git components/password_manager_strings.grdp components/password_manager_strings.grdp
+index d7ceeb5ce36a..636a673b56e7 100644
+--- components/password_manager_strings.grdp
++++ components/password_manager_strings.grdp
+@@ -222,7 +222,7 @@
+       To use Password Manager with macOS Keychain, relaunch Chromium and allow Keychain access. Your tabs will reopen after relaunching.
+     </message>
+   </if>
+-  <if expr="is_linux">
++  <if expr="is_posix">
+     <message name="IDS_PASSWORD_MANAGER_RELAUNCH_CHROME_BUBBLE_TITLE_LINUX_BRANDED" desc="Text that appears in the title of the relaunch Chrome bubble.">
+       Google Password Manager needs more access
+     </message>
+@@ -254,7 +254,7 @@
+       </message>
+     </if>
+   </if>
+-  <if expr="is_macosx or is_linux">
++  <if expr="is_macosx or is_posix">
+     <message name="IDS_PASSWORD_MANAGER_RELAUNCH_CHROME_BUBBLE_ACCEPT_BUTTON_BRANDED" desc="Text that appears in the accept button of the relaunch Chrome bubble.">
+       Relaunch Chrome
+     </message>
 diff --git components/policy/core/common/cloud/cloud_policy_util.cc components/policy/core/common/cloud/cloud_policy_util.cc
-index b791e192509..74d08dc5a90 100644
+index 6c59e0c41a1d..2cfa4b52d4b8 100644
 --- components/policy/core/common/cloud/cloud_policy_util.cc
 +++ components/policy/core/common/cloud/cloud_policy_util.cc
 @@ -39,7 +39,7 @@
@@ -973,23 +1484,23 @@ index b791e192509..74d08dc5a90 100644
  #define HOST_NAME_MAX MAXHOSTNAMELEN
  #endif
 diff --git components/policy/core/common/policy_paths.cc components/policy/core/common/policy_paths.cc
-index fc8faac0150..248e031b7c8 100644
+index 2afbdd5d3fb8..0eaf76aeee6e 100644
 --- components/policy/core/common/policy_paths.cc
 +++ components/policy/core/common/policy_paths.cc
-@@ -16,7 +16,7 @@ namespace policy {
- #if BUILDFLAG(GOOGLE_CHROME_BRANDING) || \
-     BUILDFLAG(GOOGLE_CHROME_FOR_TESTING_BRANDING)
+@@ -17,7 +17,7 @@ namespace policy {
  const char kPolicyPath[] = "/etc/opt/chrome/policies";
+ #elif BUILDFLAG(GOOGLE_CHROME_FOR_TESTING_BRANDING)
+ const char kPolicyPath[] = "/etc/opt/chrome_for_testing/policies";
 -#elif BUILDFLAG(IS_FREEBSD)
 +#elif BUILDFLAG(IS_FREEBSD) || BUILDFLAG(IS_DRAGONFLY)
  const char kPolicyPath[] = "/usr/local/etc/chromium/policies";
  #else
  const char kPolicyPath[] = "/etc/chromium/policies";
 diff --git components/policy/tools/generate_policy_source.py components/policy/tools/generate_policy_source.py
-index 7f2e7b957d6..50b57094af7 100755
+index f84f40968ed6..5a7a303c8619 100755
 --- components/policy/tools/generate_policy_source.py
 +++ components/policy/tools/generate_policy_source.py
-@@ -37,9 +37,9 @@ PLATFORM_STRINGS = {
+@@ -38,9 +38,9 @@ PLATFORM_STRINGS = {
      'ios': ['ios'],
      'fuchsia': ['fuchsia'],
      'chrome.win': ['win'],
@@ -1001,7 +1512,7 @@ index 7f2e7b957d6..50b57094af7 100755
      'chrome.win7': ['win'],
  }
  
-@@ -139,7 +139,6 @@ class PolicyDetails:
+@@ -137,7 +137,6 @@ class PolicyDetails:
          ['chrome_os']):
        raise RuntimeError('device_only is only allowed for Chrome OS: "%s"' %
                           self.name)
@@ -1010,10 +1521,10 @@ index 7f2e7b957d6..50b57094af7 100755
                           or target_platform in self.future_on)
      self.is_future = target_platform in self.future_on
 diff --git components/sync/base/sync_util.cc components/sync/base/sync_util.cc
-index e636023e3b1..7f0a5c78901 100644
+index 26839c5c3894..6ed703a01473 100644
 --- components/sync/base/sync_util.cc
 +++ components/sync/base/sync_util.cc
-@@ -42,6 +42,8 @@ std::string GetSystemString() {
+@@ -45,6 +45,8 @@ std::string GetSystemString() {
    system = "FREEBSD ";
  #elif BUILDFLAG(IS_OPENBSD)
    system = "OPENBSD ";
@@ -1023,7 +1534,7 @@ index e636023e3b1..7f0a5c78901 100644
    system = "MAC ";
  #endif
 diff --git components/sync_device_info/local_device_info_util_linux.cc components/sync_device_info/local_device_info_util_linux.cc
-index 0be5361ac9a..e58e4ab1b62 100644
+index 0be5361ac9a6..e58e4ab1b620 100644
 --- components/sync_device_info/local_device_info_util_linux.cc
 +++ components/sync_device_info/local_device_info_util_linux.cc
 @@ -9,7 +9,7 @@
@@ -1036,7 +1547,7 @@ index 0be5361ac9a..e58e4ab1b62 100644
  #define HOST_NAME_MAX MAXHOSTNAMELEN
  #endif
 diff --git components/update_client/update_query_params.cc components/update_client/update_query_params.cc
-index 2d86bd82ee3..8cd0505921d 100644
+index 5b17a2bcebc3..e6e55ff24cf5 100644
 --- components/update_client/update_query_params.cc
 +++ components/update_client/update_query_params.cc
 @@ -44,6 +44,8 @@ const char kOs[] =
@@ -1049,10 +1560,10 @@ index 2d86bd82ee3..8cd0505921d 100644
  #error "unknown os"
  #endif
 diff --git content/browser/utility_process_host.cc content/browser/utility_process_host.cc
-index de0f8f5807c..418e2a3aa13 100644
+index 0421d10b244b..55f1ba2fa807 100644
 --- content/browser/utility_process_host.cc
 +++ content/browser/utility_process_host.cc
-@@ -357,7 +357,7 @@ bool UtilityProcessHost::StartProcess() {
+@@ -348,7 +348,7 @@ bool UtilityProcessHost::StartProcess() {
        switches::kMuteAudio,
        switches::kUseFileForFakeAudioCapture,
  #if BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS) || BUILDFLAG(IS_FREEBSD) || \
@@ -1062,10 +1573,10 @@ index de0f8f5807c..418e2a3aa13 100644
        switches::kAlsaOutputDevice,
  #endif
 diff --git extensions/common/api/runtime.json extensions/common/api/runtime.json
-index 54033a3865a..ac7bafec939 100644
+index 730668b7ee6e..f8d075ed4b1c 100644
 --- extensions/common/api/runtime.json
 +++ extensions/common/api/runtime.json
-@@ -90,6 +90,7 @@
+@@ -87,6 +87,7 @@
              {"name": "linux", "description": "Specifies the Linux operating system."},
              {"name": "openbsd", "description": "Specifies the OpenBSD operating system."},
              {"name": "freebsd", "description": "Specifies the FreeBSD operating system."},
@@ -1074,7 +1585,7 @@ index 54033a3865a..ac7bafec939 100644
          ]
        },
 diff --git media/base/media_switches.cc media/base/media_switches.cc
-index 229ea0dc14a..5668de35f04 100644
+index 075957b79bdc..83d58c4670de 100644
 --- media/base/media_switches.cc
 +++ media/base/media_switches.cc
 @@ -61,7 +61,7 @@ const char kReportVp9AsAnUnsupportedMimeType[] =
